Name: emacsen-startscripts
Version: 0.0.3
Release: alt3

Group: Editors
Summary: Common site start scripts for GNU Emacs
License: GPL

Packager: Ivan Zakharyaschev <imz@altlinux.ru>

BuildArchitectures: noarch

Requires: emacsen
Provides: %_sysconfdir/emacs/site-start.d

Conflicts: rootfiles <= alt-alt4
# from now on xemacs has its own start-scripts
Conflicts: xemacs < 21.4.9
# pc-select.el is updated:
Conflicts: emacs-common < 21.2-alt11

# Mdk's and ALT's global config merged:
Source0: %name-ALT-%version.tar
Source1: %name.buildreq
Source2: emacsen-config-for-root

%description
The common site start scripts for Emacsen contain the default
configuration for Emacsen suggetsted by ALT. It also implements a
mechanism for installing additional Emacs Lisp modules at the site
and making them visible for users. Administrators can add some scripts
of their own to customize Emacsen even more.

The start scripts are intended to be excuted by GNU Emacs, so some
of them contain Emacsen specific parts (embraced by special macros).
This package is always installed if you install any of the Emacsen.

The idea of compatibility with XEmacs has been dropped, XEmacs has its own
configuration.

%prep
%setup -n emacs

%install
mkdir -p $RPM_BUILD_ROOT%prefix
# We want to make the command arguments below shorter
# by replacing "$RPM_BUILD_ROOT" with "."
pushd "$RPM_BUILD_ROOT"

mkdir -p .%_sysconfdir/emacs/site-start.d
tar xvf %SOURCE0 -C .%_sysconfdir

# Buildreq filter for emacs.
install -pD -m644 %SOURCE1 .%_sysconfdir/buildreqs/files/ignore.d/%name

install -pD -m600 %SOURCE2 ./root/.emacs

popd # "$RPM_BUILD_ROOT"

%files
%dir %_sysconfdir/emacs
%dir %_sysconfdir/emacs/site-start.d
%config(noreplace) %_sysconfdir/emacs/site-start.el
%config(noreplace) %_sysconfdir/emacs/site-start.d/*.el

#%config(noreplace) /root/.emacs

%config %_sysconfdir/buildreqs/files/ignore.d/*

%doc doc/inhibit-site-start.txt
%lang(ru) %doc doc/inhibit-site-start.ru.txt

%changelog
* Tue Sep 16 2003 Ott Alex <ott@altlinux.ru> 0.0.3-alt3
- Provides site-start.d dir

* Thu Feb 20 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.0.3-alt2
- drop /root/.emacs: it is said to violate FHS 2.2 (perhaps, it will be moved
  back to rootfiles pkg).

* Mon Jan 13 2003 Ivan Zakharyaschev <imz@altlinux.ru> 0.0.3-alt1
- 00macros.el: added some means of avoiding loading too match in batch mode
  (e.g., when compiling el-files; partially fixes No. 0001503): 
  + added {Interactive,Batch}-launch;
  + {X,TTY}launch: eval only if Emacs has been launched interactively;
- 00auto-compr.el: turn auto(de)compression on -- moved from 
  10initial-features;
- 10initial-features: eval only if launched interactively -- this will avoid
  the dependency on ispell when building other pkgs using emacs;

* Mon Nov 18 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.0.2-alt1
- site-start.el: make possible for users to override it as a whole, or
  each part from site-start.d/ -- more info in docs (Sergey Vlasov 
  <vsu at altlinux.ru>; a move to default.el is our future);
- 10selection.el, 10mouse.el: reflect the changes in emacs-21.2-alt11,
  pc-select should no more conflict with traditional selection keys;

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 0.0.1-alt4
- rebuild

* Fri Apr 13 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.0.1-alt3
- provide /root/.emacs instead of rootfiles
  (based on skel.ru_RU.KOI8-R/.emacs with a lot
  of features turned off) - fixes \#808 at bugs.altlinux.ru;

* Thu Feb 28 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.0.1-alt2
- buildreq-ignore: add the main script /etc/emacs/site-start.el
  because we don't want this pkg to appear in dependencies.

* Thu Feb 28 2002 Ivan Zakharyaschev <imz@altlinux.ru> 0.0.1-alt1
- initial version (0.0.1): extracted from emacs-common-21.1-alt11
  (taken the scripts and the pattern for buildreq);
- fix a typo in /etc/emacs/site-start.d/10mouse.el.
# Local Variables:
# compile-command: "rpmbuild -ba emacsen-startscripts.spec"
# End:
